(defun so:vykresli (/ co_kreslit)
  (setq co_kreslit (cdr (assoc "co_kreslit" gl_pam_hodnoty)))
  	;;; zskn klovho slova pro uren dalho postupu pokraovn
  (if (= co_kreslit "Kruznice")		;;; uivatel poaduje kreslit krunici
    (so:kresli_kruznici)		;;; voln funkce pro vykreslen krunice
  )
  (if (= co_kreslit "N-uhelnik")	;;; uivatel poaduje kreslit n-helnk
    (so:kresli_nuhelnik)		;;; voln funkce pro vykreslen n-helnku
  )
)

(defun so:kresli_nuhelnik (/ stred_nu pocvrcholu polomer pol_kresl	pocet vzdalenost)
;;; vykreslen n-helnku
;;;; stred_nu   - souadnice stedu (real.slo, real.slo, real.slo)
;;;; pocvrcholu - cel slo reprezentujc poet vrchol n-helnku
;;;; polomer    - real.slo reprezentujc polomr prvn vepsan krunice
;;;; pol_kresl  - real.slo reprezentujc polomr vepsanch krunic
;;;; pocet      - cel slo reprezentujc poet kreslench soustednch n-helnk
;;;; vzdalenost - real.slo reprezentujc vzdlenost mezi n-helnky
  (setq	stred_nu
    (list
      (atof (cdr (assoc "strednex" gl_pam_hodnoty)))
      (atof (cdr (assoc "stredney" gl_pam_hodnoty)))
      (atof (cdr (assoc "strednez" gl_pam_hodnoty)))
    )
  )		;;; pevod t etzc reprezentujcch souadnice
  		;;; do promnn stred (poloky stred jsou typu float)
  (setq pocvrcholu (atoi (cdr (assoc "pocvrcholune" gl_pam_hodnoty))))
		;;; zskn potu vrchol n-helnku z asoc. seznamu gl_pam_hodnoty
  (setq polomer    (atof (cdr (assoc "polomerne"    gl_pam_hodnoty))))
		;;; zskn polomru prvn vepsan krunice z asoc. seznamu gl_pam_hodnoty
  (setq pocet      (atoi (cdr (assoc "pocetne"      gl_pam_hodnoty))))
		;;; zskn poetu kreslench n-helnk z asoc. seznamu gl_pam_hodnoty
  (setq vzdalenost (atof (cdr (assoc "vzdalenostne" gl_pam_hodnoty))))
		;;; zskn vzdlenosti mezi n-helnky z asoc. seznamu gl_pam_hodnoty

  (while (> pocet 0)	;;; dokud je co kreslit opakuj
    (setq pol_kresl (+ polomer (* vzdalenost (- pocet 1))))
		;;; nastaven aktulnho polomru vepsan krunice, kreslenho n-uhelnku
    (command)	;;; ukonen vech pedchozch pkaz
    (command "_polygon" pocvrcholu stred_nu "O" pol_kresl)
    		;;; vykresli n-helnku
    (setq pocet (- pocet 1))	;;; zmeni poet n-helnk o 1
  )
)

(defun so:kresli_kruznici (/ stred_kr polomer pol_kresl pocet vzdalenost)
;;; vykreslen krunice
;;;; stred_kr - souadnice stedu (real.slo, real.slo, real.slo)
;;;; polomer - real.slo reprezentujc polomr prvn krunice
;;;; pol_kresl - real.slo reprezentujc polomr vykreslovan krunice
;;;; pocet - cel slo reprezentujc poet kreslench soustednch krunic
;;;; vzdalenost - real.slo reprezentujc vzdlenost mezi krunicemi
  (setq stred_kr
    (list
      (atof (cdr (assoc "stredkex" gl_pam_hodnoty)))
      (atof (cdr (assoc "stredkey" gl_pam_hodnoty)))
      (atof (cdr (assoc "stredkez" gl_pam_hodnoty)))
    )
  )		;;; pevod t etzc reprezentujcch souadnice
  		;;; do promnn stred (poloky stred jsou typu float)
  (setq polomer (atof (cdr (assoc "polomerke" gl_pam_hodnoty))))
		;;; zskn polomru prvn krunice z asoc. seznamu gl_pam_hodnoty
  (setq pocet (atoi (cdr (assoc "pocetke" gl_pam_hodnoty))))
		;;; zskn potu kreslench krunic z asoc. seznamu gl_pam_hodnoty
  (setq vzdalenost (atof (cdr (assoc "vzdalenostke" gl_pam_hodnoty))))
		;;; zskn vzdlenosti mezi krunicemi z asoc. seznamu gl_pam_hodnoty
  (command)	;;; ukonen vech pedchozch pkaz
  (while (> pocet 0)	;;; dokud je co kreslit opakuj
    (setq pol_kresl (+ polomer (* vzdalenost (- pocet 1))))	;;; nastav aktuln polomr
    (command "_circle" stred_kr pol_kresl)
  		;;; vykreslen krunice
    (setq pocet (- pocet 1))					;;; zmeni poet krunic o 1
  )
)